package de.mannheim.uni.expansion.data.dbpedia.kbtables;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Set;

import de.mannheim.uni.expansion.data.dbpedia.repository.DBpediaRepositoryNewInterface;
import de.mannheim.uni.expansion.data.ontology.model.classes.ClassId;
import de.mannheim.uni.expansion.data.ontology.model.instances.InstanceId;
import de.mannheim.uni.matching.dbpedia.model.TableRow;

public class RepositoryTableRowList implements List<TableRow> {
	private final DBpediaRepositoryNewInterface repository;

	private final List<ClassId> finalClasses;

	private final int size;

	private final InstanceId instanceId;

	public RepositoryTableRowList(DBpediaRepositoryNewInterface repository, InstanceId instanceId) {
		this.repository = repository;
		this.instanceId = instanceId;
		this.finalClasses = new ArrayList<ClassId>(repository.getClasses(instanceId));

		this.size = finalClasses.size();
	}

	public RepositoryTableRowList(DBpediaRepositoryNewInterface repository, InstanceId instanceId, Set<ClassId> allowedClasses) {
		this.repository = repository;
		this.instanceId = instanceId;

		Set<ClassId> allClasses = repository.getClasses(instanceId);

		this.finalClasses = new ArrayList<ClassId>();

		for (ClassId classId : allClasses) {
			if (allowedClasses.contains(classId)) {
				finalClasses.add(classId);
			}

		}

		this.size = finalClasses.size();
	}

	@Override
	public boolean add(TableRow e) {
		throw new UnsupportedOperationException();
	}

	@Override
	public void add(int index, TableRow element) {
		throw new UnsupportedOperationException();

	}

	@Override
	public boolean addAll(Collection<? extends TableRow> c) {
		throw new UnsupportedOperationException();
	}

	@Override
	public boolean addAll(int index, Collection<? extends TableRow> c) {
		throw new UnsupportedOperationException();
	}

	@Override
	public void clear() {
		throw new UnsupportedOperationException();

	}

	@Override
	public boolean contains(Object o) {
		throw new UnsupportedOperationException();
	}

	@Override
	public boolean containsAll(Collection<?> c) {
		throw new UnsupportedOperationException();
	}

	@Override
	public TableRow get(int index) {
		throw new UnsupportedOperationException();
	}

	@Override
	public int indexOf(Object o) {
		throw new UnsupportedOperationException();
	}

	@Override
	public boolean isEmpty() {
		if (size > 0)
			return false;
		else
			return true;
	}

	@Override
	public Iterator<TableRow> iterator() {

		final Iterator<ClassId> classIterator;

		if (finalClasses != null) {
			classIterator = finalClasses.iterator();
		} else {

		}

		return new Iterator<TableRow>() {

			@Override
			public TableRow next() {
				// TODO Auto-generated method stub
				return null;
			}

			@Override
			public boolean hasNext() {
				// TODO Auto-generated method stub
				return false;
			}
		};
	}

	@Override
	public int lastIndexOf(Object o) {
		// TODO Auto-generated method stub
		return 0;
	}

	@Override
	public ListIterator<TableRow> listIterator() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public ListIterator<TableRow> listIterator(int index) {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public boolean remove(Object o) {
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	public TableRow remove(int index) {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public boolean removeAll(Collection<?> c) {
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	public boolean retainAll(Collection<?> c) {
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	public TableRow set(int index, TableRow element) {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public int size() {
		// TODO Auto-generated method stub
		return 0;
	}

	@Override
	public List<TableRow> subList(int fromIndex, int toIndex) {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public Object[] toArray() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public <T> T[] toArray(T[] a) {
		// TODO Auto-generated method stub
		return null;
	}

}
