package de.mannheim.uni.expansion.tablefusion;

import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

public class RemoteRegistry {

	private static Registry registry;

	
	synchronized static Registry getPublishingRegistry() throws RemoteException {
		if (RemoteRegistry.registry == null) {
			RemoteRegistry.registry = LocateRegistry.createRegistry(5001);
		}
		return RemoteRegistry.registry;
	}
	
	synchronized static Registry getReadingRegistry() throws RemoteException {
		if (RemoteRegistry.registry == null) {
			RemoteRegistry.registry = LocateRegistry.getRegistry(5001);
		}
		return RemoteRegistry.registry;
	}

}
