package de.mannheim.uni.expansion.tablefusion.core.fusing;

import java.util.List;

import de.mannheim.uni.expansion.tablefusion.core.fusing.stores.FusedValue;
import de.mannheim.uni.expansion.utils.ValueProbabilityPair;

public interface BaseFuser {

	public FusedValue simpleFuse(List<Object> values);

	public FusedValue fuse(List<? extends ValueProbabilityPair> values, Double threshold);

	public default FusedValue fuse(List<? extends ValueProbabilityPair> values) {
		return fuse(values, null);
	}

	public boolean checkType(Object value);
}
  