package de.mannheim.uni.expansion.tablefusion.analysis;

public class Accuracy {

	private final double accuracy;

	private final int total;

	public Accuracy(int correct, int wrong) {
		this.total = correct + wrong;
		this.accuracy = ((double) correct) / total;
	}

	public Accuracy(double accuracy, int total) {
		this.accuracy = accuracy;
		this.total = total;
	}

	public double getAccuracy() {
		return accuracy;
	}

	public int getTotal() {
		return total;
	}

	@Override
	public String toString() {
		return "Accuracy [accuracy=" + accuracy + ", total=" + total + "]";
	}

}
