package de.mannheim.uni.expansion.tablefusion.core.fusing;

import de.mannheim.uni.expansion.tablefusion.core.fusing.stores.FusedValue;
import de.mannheim.uni.expansion.tablefusion.core.matching.MatchedValues;
import de.mannheim.uni.expansion.tablefusion.core.scoring.packs.TableScores;

public interface Fuser {

	public FusedValue fuse(MatchedValues values, TableScores probabilities, double threshold);

	public FusedValue fuseList(MatchedValues values, TableScores probabilities, double threshold);

	// public Object fuse(MatchedValues learningSet, MatchedValues testingSet);
}
