package de.mannheim.uni.expansion.tablefusion.core.scoring.thresholdpacks;

import de.mannheim.uni.expansion.data.ontology.model.classes.ClassId;
import de.mannheim.uni.expansion.data.ontology.model.instances.InstanceId;
import de.mannheim.uni.expansion.data.ontology.model.properties.PropertyId;

public class ThresholdConstant implements ThresholdContainer {

	private final double score;

	public ThresholdConstant(double score) {
		this.score = score;
	}

	@Override
	public Double getScore(ClassId classId, PropertyId propertyId, InstanceId instanceId) {
		return score;
	}

	public double getScore() {
		return score;
	}

}
