package de.mannheim.uni.expansion.tablefusion.core.scoring.thresholdpacks;

import java.util.HashMap;
import java.util.Map;

import de.mannheim.uni.expansion.data.ontology.model.classes.ClassId;
import de.mannheim.uni.expansion.data.ontology.model.instances.InstanceId;
import de.mannheim.uni.expansion.data.ontology.model.properties.PropertyId;

public class ThresholdPropertyId implements ThresholdContainer {
	private final Map<PropertyId, Double> scores;

	public ThresholdPropertyId(Map<PropertyId, Double> scores) {
		this.scores = new HashMap<>(scores);
	}

	@Override
	public Double getScore(ClassId classId, PropertyId propertyId, InstanceId instanceId) {
		return scores.get(propertyId);
	}

}
