package de.mannheim.uni.expansion.tablefusion.learning;

import java.util.HashMap;
import java.util.Map;

import javax.inject.Inject;

import de.mannheim.uni.expansion.data.dbpedia.repository.DBpediaRepositoryNewInterface;
import de.mannheim.uni.expansion.tablefusion.analysis.FilteredValues;

public class ListExpansionFilterCreator {

	private final DBpediaRepositoryNewInterface dbBpediaRepository;

	@Inject
	public ListExpansionFilterCreator(DBpediaRepositoryNewInterface dbBpediaRepository) {
		this.dbBpediaRepository = dbBpediaRepository;
	}

	public Map<Integer, FilteredValues> createByKBList(int numberOfSets) {

		Map<Integer, FilteredValues> returnMap = new HashMap<>();
		//
		// ConcurrentHashMap<Integer, Map<TripleId, Set<Object>>> creationMap =
		// new ConcurrentHashMap<>();

		double percent = 1.0 / numberOfSets;

		// PersistentParallel3.runAndFinish(dbBpediaRepository.getListTypes(),
		// (classPropertyId) -> {
		// Set<InstanceId> instances =
		// dbBpediaRepository.getInstances(classPropertyId.getClassId(),
		// classPropertyId.getPropertyId());
		//
		// for (InstanceId instanceId : instances) {
		// TripleId tid = new TripleId(classPropertyId.getClassId(),
		// classPropertyId.getPropertyId(), instanceId);
		// Object value = dbBpediaRepository.getValue(new ValueId(instanceId,
		// classPropertyId.getPropertyId()));
		// if (value instanceof List) {
		// @SuppressWarnings("unchecked")
		// List<Object> values = (List<Object>) value;
		//
		// Map<Integer, Set<Object>> filteredValues = new HashMap<>();
		//
		// double filterSize = percent * values.size();
		//
		// int currentSet = 0;
		//
		// int s = 0;
		//
		// double sStart = filterSize * currentSet;
		// double sEnd = filterSize * (currentSet + 1);
		// for (Object v : values) {
		//
		// if (s >= sEnd) {
		// currentSet++;
		// sStart = filterSize * currentSet;
		// sEnd = filterSize * (currentSet + 1);
		// }
		//
		// CHMHelper.getFromMap(filteredValues, currentSet, () -> new
		// HashSet<>()).add(v);
		//
		// s++;
		//
		// }
		//
		// for (Entry<Integer, Set<Object>> e2 : filteredValues.entrySet()) {
		// CHMHelper.getFromCHM(creationMap, e2.getKey(), () -> new
		// ConcurrentHashMap<>()).put(tid, e2.getValue());
		//
		// }
		//
		// }
		// }
		// } , "Filtered Value Creator", 3);

		for (int i = 0; i < numberOfSets; i++) {
			returnMap.put(i, new FilteredValues(dbBpediaRepository, percent, i));
		}
		return returnMap;
	}

}
