package de.mannheim.uni.expansion.tablefusion.optimization;

import java.util.Map;

import de.mannheim.uni.expansion.tablefusion.analysis.FilteredValues;
import de.mannheim.uni.expansion.tablefusion.core.matching.GroupedValues;
import de.mannheim.uni.expansion.tablefusion.core.scoring.thresholdpacks.ThresholdContainer;
import de.mannheim.uni.expansion.tablefusion.learning.LearningSetCreator.CreatedSets;
import de.mannheim.uni.expansion.tablefusion.services.fusion.runner.FusionStrategy;

public interface ScoreFusionThresholdFinder {

	// public void findOptimumThresholdForColumnScores();

	public ThresholdContainer findOptimumThresholdForPageRank();

	// void printNormalPerformance();

	public ThresholdContainer findOptimumThresholdCrossValidation(Map<Integer, CreatedSets> createdSetsMap, FusionStrategy fusionRunType, boolean print);

	// double findOptimumThreshold(FusionStrategy fusionRunType, ScoresGetter
	// scoresGetter);

	public ThresholdContainer findOptimumThresholdListExpansion(Map<Integer, FilteredValues> setsFilters, GroupedValues groupedValues, FusionStrategy strategy,
			boolean print);

}
