package de.mannheim.uni.expansion.tablefusion.profiling.accumulation;

import java.util.function.BinaryOperator;

public class MutableReference<E> {

	private E val;

	public MutableReference(E initial) {
		this.val = initial;
	}

	public void accumulate(E val, BinaryOperator<E> fuser) {
		this.val = fuser.apply(this.val, val);

	}

	public E get() {
		return this.val;
	}

}
