package de.mannheim.uni.matching.dbpedia;

import de.mannheim.uni.similarity.functions.string.LevenshteinSimilarity;
import de.mannheim.uni.utils.data.string.StringCleaner;

public class NormalisedStringLevenshteinSimilarity extends LevenshteinSimilarity {

    @Override
    public Double calculate(String first, String second) {

        first = StringCleaner.cleanString(first, true);
        second = StringCleaner.cleanString(second, true);
        
        return super.calculate(first, second);
    }
    
}
