package de.mannheim.uni.matching.dbpedia.model.adapters;

import de.mannheim.uni.matching.MatchingAdapter;
import de.mannheim.uni.tableprocessor.model.Table;

public class TableClassMatchingAdapter extends MatchingAdapter<Table> {

	@Override
	public Object getLabel(Table instance) {
		return instance.getHeader();
	}

	@Override
	public Object getType(Table instance) {
		// intentionally returns null as tables represent types and have no types by themselves
		return null;
	}

}
