package de.mannheim.uni.matching.adapters;

import de.mannheim.uni.matching.MatchingAdapter;

/**
 * A matching adapter that returns the instance that was passed as the value to be matched
 * @author Oliver
 *
 * @param <T>
 */
public class IdentityAdapter<T> extends MatchingAdapter<T> {

    @Override
    public Object getLabel(T instance) {
        return instance;
    }

    @Override
    public Object getType(T instance) {
        return instance.getClass();
    }

}
