package de.mannheim.uni.expansion.data.ontology.model.repository;

import java.util.Set;

import de.mannheim.uni.expansion.data.ontology.model.ClassPropertyId;
import de.mannheim.uni.expansion.data.ontology.model.classes.ClassId;
import de.mannheim.uni.expansion.data.ontology.model.classes.ClassOntology;
import de.mannheim.uni.expansion.data.ontology.model.properties.PropertyId;
import de.mannheim.uni.expansion.data.ontology.model.properties.PropertyOntology;
import de.mannheim.uni.tableprocessor.model.TableColumn.ColumnDataType;

public interface OntologyRepository {

	PropertyOntology get(PropertyId propertyId);

	ClassOntology get(ClassId classId);

	ColumnDataType getDataType(ClassPropertyId classPropertyId);

	ColumnDataType getDataType(ClassId classId, PropertyId propertyId);

	Set<ClassId> getSubClasses(ClassId classId);
}
