package de.mannheim.uni.expansion.data.tables.model;

public class ColumnIdx extends Number {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private final Integer columnIdx;

	public ColumnIdx(Integer columnIdx) {
		super();
		this.columnIdx = columnIdx;
	}

	public Integer getColumnIdx() {
		return columnIdx;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((columnIdx == null) ? 0 : columnIdx.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ColumnIdx other = (ColumnIdx) obj;
		if (columnIdx == null) {
			if (other.columnIdx != null)
				return false;
		} else if (!columnIdx.equals(other.columnIdx))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "ColumnIdx [columnIdx=" + columnIdx + "]";
	}

	@Override
	public int intValue() {
		return columnIdx;
	}

	@Override
	public long longValue() {
		return columnIdx;
	}

	@Override
	public float floatValue() {
		return columnIdx;
	}

	@Override
	public double doubleValue() {
		return columnIdx;
	}

}
