package de.mannheim.uni.expansion.tablefusion.core.similarity.measures;

import javax.inject.Inject;

import de.mannheim.uni.expansion.tablefusion.core.similarity.SimilarityMeasure;

public class EmptySimilarity implements SimilarityMeasure {

	@Inject
	public EmptySimilarity() {

	}

	@Override
	public double get(Object a, Object b) {
		return 0.0;
	}

	@Override
	public double getQuickSimilarity(Object a, Object b) {
		return 0.0;
	}

	@Override
	public double getEquivalenceThreshold() {
		return 1.0;
	}

	@Override
	public boolean isEqual(Object a, Object b) {
		return false;
	}
}
