package de.mannheim.uni.expansion.tablefusion.services.fusion.runner;

public enum FusionMethod {
	NORMAL(false), RANDOM(false), CLUSTERED(false), SCORED(true), SCORED_CLUSTERED(true), WEIGHTED_SCORED(true), WEIGHTED_SCORED_CLUSTERED(true);

	private final boolean usesThreshold;

	private FusionMethod(boolean usesThreshold) {
		this.usesThreshold = usesThreshold;
	}

	public boolean isUsesThreshold() {
		return usesThreshold;
	}

}
