package de.mannheim.uni.matching.dbpedia.model.adapters;

import de.mannheim.uni.matching.MatchingAdapter;
import de.mannheim.uni.tableprocessor.model.TableColumn;

public class TableColumnMatchingAdapter extends MatchingAdapter<TableColumn> {

	@Override
	public Object getLabel(TableColumn instance) {
	    // remove brackets
            return instance.getHeader().replaceAll("\\(.*\\)", "").replace("_label", "").replace(".", "").toLowerCase();                
	}

	@Override
	public Object getType(TableColumn instance) {
		return instance.getDataType();
	}
}
